#ifndef _PYDOC_H_
#define _PYDOC_H_

#include <tqobject.h>
#include <tdeio/slavebase.h>


class PydocProtocol : public TDEIO::SlaveBase
{
public:
    PydocProtocol(const TQCString &pool, const TQCString &app);
    virtual ~PydocProtocol();

    virtual void get(const KURL& url);
    virtual void stat(const KURL& url);
    virtual void mimetype(const KURL& url);
    virtual void listDir(const KURL& url);

protected:
    void decodeURL(const KURL &url);
    void decodePath(TQString path);
    TQCString errorMessage();

private:
    TQString python;
    TQString script;
    TQString key;
};

#endif
